TestClassloader (Velocity 1.4 API)
Keywords: org.apache.velocity.test.TestClassloader class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.test
Class TestClassloader

    java.lang.Object
      java.lang.ClassLoader
          org.apache.velocity.test.TestClassloader

class TestClassloader
extends java.lang.ClassLoader

Simple (real simple...) classloader that depends on a Foo.class being located in the classloader directory under test

Nested Class Summary

Nested classes inherited from class java.lang.ClassLoader
``

Field Summary
`private java.lang.Class` | `fooClass`
`private static java.lang.String` | `testclass`

Fields inherited from class java.lang.ClassLoader
``

Constructor Summary
`TestClassloader()`

Method Summary
`java.lang.Class` | `findClass(java.lang.String name)`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### testclass

    private static final java.lang.String testclass

See Also:
  Constant Field Values

### fooClass

    private java.lang.Class fooClass

Constructor Detail

### TestClassloader

    public TestClassloader()

Method Detail

### findClass

    public java.lang.Class findClass(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.